%define origname gstreamer
%define ver_major 0.10

Name: %origname
Version: %ver_major.14
Release: alt1.M40.1

%def_disable debug
%def_disable static
%def_enable tests

Summary: GStreamer streaming media framework runtime
License: LGPL
Group: System/Libraries
URL: http://gstreamer.freedesktop.org

Packager: Igor Zubkov <icesik@altlinux.org>

Requires: lib%name = %version-%release
Provides: %origname%ver_major = %version
Obsoletes: %origname%ver_major

%define pkgdocdir %_docdir/%origname-%ver_major
%define _gtk_docdir %_datadir/gtk-doc/html
%define _gst_libdir %_libdir/%origname-%ver_major
%define _gst_ignore_regexp ^%_libdir/%origname-%(echo %ver_major | sed 's/\\./\\\\./g')/.*\.so$

Source: http://gstreamer.freedesktop.org/src/%origname/%origname-%version.tar.bz2

%define glib_ver 2.8
%define libxml2_ver 2.6.17

# Automatically added by buildreq on Mon Sep 10 2007
BuildRequires: check cvs docbook-utils-print flex gcc-c++ gcc-fortran ghostscript-module-X ghostscript-utils glib2-devel glibc-devel-static gtk-doc libxml2-devel python-module-PyXML python-modules-compiler python-modules-email python-modules-encodings python-modules-logging transfig w3c-markup-validator-libs


%description
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plugins.

%package -n lib%name
Summary: Shared libraries of GStreamer
Group: System/Libraries
Requires: glib2 >= %glib_ver
Requires: libxml2 >= %libxml2_ver
Provides: lib%origname%ver_major = %version
Obsoletes: lib%origname%ver_major

%description -n lib%name
This package contains the shared libraries of the GStreamer media framework.

%package devel
Summary: Development files for GStreamer streaming-media framework
Group: Development/C
Requires: lib%name = %version-%release
Requires: glib2-devel >= %glib_ver
Provides: %origname%ver_major-devel = %version
Obsoletes: %origname%ver_major-devel

%description devel
This package contains the libraries and header files necessary to
develop applications and plugins for GStreamer.

To make work with GStreamer documentation more comfortable install
%name-devel-doc package.

%package devel-doc
Summary: Development documentation for GStreamer
Group: Development/C
Obsoletes: %origname%ver_major-doc
Conflicts: gstreamer < 0.8.8-alt1

%description devel-doc
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related. Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plugins.

This package contains development documentation for GStreamer.

%package devel-static
Summary: Static libraries for GStreamer streaming-media framework
Group: Development/C
Requires: %name-devel = %version-%release
Provides: %origname%ver_major-devel-static = %version
Obsoletes: %origname%ver_major-devel-static

%description devel-static
This package contains the static libraries necessary to develop
statically linked applications and plugins for GStreamer.

%package utils
Summary: GStreamer utilities
Group: System/Libraries
Requires: lib%name = %version-%release
Provides: %origname%ver_major-utils = %version
Obsoletes: %origname%ver_major-utils

%description utils
This package contains some utilities used to register, analyze, and run
Gstreamer plugins.

%prep
%setup -q -n %origname-%version

%build
NOCONFIGURE=1 ./autogen.sh

export ac_cv_path_VALGRIND_PATH=%_bindir/valgrind
%configure \
    --disable-examples \
    --disable-valgrind \
    --enable-docbook \
    --enable-gtk-doc \
    --disable-rpath \
    --with-html-dir=%_gtk_docdir \
    %{subst_enable tests} \
    %{subst_enable debug} \
    %{subst_enable static}

# Non-parallel build
%make

%install
%make_install install DESTDIR=%buildroot

# docs
%__install -d -m755 %buildroot%pkgdocdir
%__install -p -m644 AUTHORS ChangeLog NEWS README RELEASE \
	%buildroot%pkgdocdir/
%__bzip2 -9 %buildroot%pkgdocdir/ChangeLog
%__ln_s %_licensedir/LGPL-2 %buildroot%pkgdocdir/COPYING

mkdir -p %buildroot%_sysconfdir/buildreqs/files/ignore.d
cat <<EOF >%buildroot%_sysconfdir/buildreqs/files/ignore.d/%name
%_gst_ignore_regexp
EOF

# remove non-packaged files
%__rm -f %buildroot%_gst_libdir/*.la

%find_lang %origname-%ver_major

%post -n lib%name -p %post_ldconfig
%postun -n lib%name -p %postun_ldconfig

%files -f %origname-%ver_major.lang
%dir %_gst_libdir
%_gst_libdir/*.so
%_sysconfdir/buildreqs/files/ignore.d/%name
%dir %pkgdocdir
%pkgdocdir/AUTHORS
%pkgdocdir/ChangeLog*
%pkgdocdir/NEWS
%pkgdocdir/README
%pkgdocdir/RELEASE

%files  -n lib%name
%_libdir/*.so.*
%dir %pkgdocdir
%pkgdocdir/COPYING

%files devel
%_includedir/*
%_libdir/*.so
%_libdir/pkgconfig/*
%_datadir/aclocal/*

%files devel-doc
%_gtk_docdir/*
%dir %pkgdocdir
%ifnarch x86_64
%pkgdocdir/[a-z]*
%endif

%if_enabled static
%files devel-static
%_libdir/*.a
%_gst_libdir/*.a
%endif

%files utils
%_bindir/*
%_man1dir/*

%changelog
* Fri Dec 14 2007 Stanislav Ievlev <inger@altlinux.org> 0.10.14-alt1.M40.1
- remove cm-fonts-super-pfb from buildreqs

* Mon Sep 10 2007 Igor Zubkov <icesik@altlinux.org> 0.10.14-alt1
- 0.10.13 -> 0.10.14

* Tue Jun 19 2007 Igor Zubkov <icesik@altlinux.org> 0.10.13-alt2
- fix build requires

* Tue Jun 19 2007 Igor Zubkov <icesik@altlinux.org> 0.10.13-alt1
- 0.11.12 -> 0.11.13
- remove set_verify_elf_method textrel=relaxed
- buildreq and update build requires

* Tue Mar 13 2007 Igor Zubkov <icesik@altlinux.org> 0.10.12-alt1
- 0.10.11 -> 0.11.12

* Wed Feb 21 2007 Igor Zubkov <icesik@altlinux.org> 0.10.11-alt2
- add check to build requires

* Thu Dec 21 2006 Igor Zubkov <icesik@altlinux.org> 0.10.11-alt1
- 0.10.10 -> 0.10.11

* Fri Dec 01 2006 Igor Zubkov <icesik@altlinux.org> 0.10.10-alt1
- 0.10.9 -> 0.10.10 

* Wed Aug 23 2006 Mikhail Zabaluev <mhz@altlinux.ru> 0.10.9-alt1
- Release 0.10.9
- Dropped 0.10 from package names

* Fri Jun 16 2006 Mikhail Zabaluev <mhz@altlinux.ru> 0.10.8-alt2
- x86_64 fix: exclude the documentation not installed for some murky reason

* Mon Jun 12 2006 Mikhail Zabaluev <mhz@altlinux.ru> 0.10.8-alt1
- Updated to 0.10.8

* Fri Jun 02 2006 Mikhail Zabaluev <mhz@altlinux.ru> 0.10.6-alt2
- Require check built with -fPIC

* Sun May 28 2006 Mikhail Zabaluev <mhz@altlinux.ru> 0.10.6-alt1
- Updated to 0.10.6
- Retired Patch0

* Sun Mar 12 2006 Mikhail Zabaluev <mhz@altlinux.ru> 0.10.4-alt1
- Release 0.10.4
- Added a buildreq ignore pattern to avoid getting all installed plugins

* Sat Feb 11 2006 Mikhail Zabaluev <mhz@altlinux.ru> 0.10.3-alt1
- 0.10.3

* Wed Jan 18 2006 Mikhail Zabaluev <mhz@altlinux.ru> 0.10.2-alt1
- 0.10.2

* Wed Dec 28 2005 Mikhail Zabaluev <mhz@altlinux.ru> 0.10.1-alt1
- 0.10.1

* Sat Dec 10 2005 Mikhail Zabaluev <mhz@altlinux.ru> 0.10.0-alt1
- Updated to 0.10.0
- Renamed to gstreamer0.10 to install in parallel to gstreamer 0.8
  for the time being
- Removed rpm macros and install scripts as the utilities they use are gone
- Retired the cache directory

* Fri Nov 25 2005 Mikhail Zabaluev <mhz@altlinux.ru> 0.9.6-alt1
- Updated to 0.9.6 (unstable)

* Mon Sep 05 2005 Mikhail Zabaluev <mhz@altlinux.ru> 0.8.11-alt1
- 0.8.11
- Removed obsolete libmmx conditional
- Disabled valgrind

* Mon Jun 13 2005 Yuri N. Sedunov <aris@altlinux.ru> 0.8.10-alt1
- 0.8.10

* Wed Feb 09 2005 Yuri N. Sedunov <aris@altlinux.ru> 0.8.9-alt1
- 0.8.9

* Fri Jan 21 2005 Yuri N. Sedunov <aris@altlinux.ru> 0.8.8-alt1.1
- fixed rpm macros.

* Thu Dec 23 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.8.8-alt1
- 0.8.8
- documentation moved to devel-doc subpackage.

* Thu Oct 28 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.8.7-alt1
- 0.8.7

* Mon Sep 13 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.8.5-alt1
- 0.8.5

* Mon Jun 07 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.8.3-alt1
- 0.8.3

* Fri Apr 16 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.8.1-alt1
- 0.8.1

* Fri Apr 02 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.8.0-alt1
- 0.8.0

* Sun Feb 29 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.7.5-alt1
- 0.7.5

* Sat Jan 24 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.7.3-alt2.1
- fix %%post and macros.

* Sun Jan 18 2004 Mikhail Zabaluev <mhz@altlinux.ru> 0.7.3-alt2
- Fix incorrect dependencies causing a rebuild on make install [Patch0]
- Don't build PDF and PS documentation, this process is brittle,
  pulls in a ton of dependencies, and produces only extra copies
  in addition to HTML [Patch1]
- Corrected doc installation, include manuals, faq and examples
- Buildreq
- aris:
    + removed unusual devhelp stuff

* Sat Dec 20 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.7.3-alt1
- 0.7.3

* Sun Nov 30 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.6.4-alt2
- do not package .la files.
- do not build devel-static subpackage by default.

* Mon Oct 20 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.6.4-alt1
- 0.6.4

* Wed Aug 27 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.6.3-alt1
- 0.6.3

* Sat Jun 14 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.6.2-alt1
- 0.6.2

* Sun Apr 20 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.6.1-alt1
- 0.6.1

* Sun Feb 02 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.6.0-alt1
- 0.6.0

* Wed Jan 22 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.5.2-alt1
- new version.

* Mon Jan 13 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.5.1-alt1.2
- fixed dependece for devel-static subpackage.

* Thu Jan 09 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.5.1-alt1.1
- removed cycle dependence.

* Wed Jan 08 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.5.1-alt1
- new version.
- utils subpackage to fix %%postun processes for gstreamer-plugins.

* Thu Dec 12 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.5.0-alt1
- 0.5.0

* Fri Nov 08 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.4.2-alt0.6
- Fixed build (SMP-incompatible build)
- %%post improved.
- Added %%gst_compprep macro.

* Sat Nov 02 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.4.2-alt0.5
- 0.4.2

* Wed Apr 24 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.3.4-alt0.1
- First build for Sisyphus.
